Results 1 to 8 of 8
  1. #1
    Join Date
    Oct 2006
    Posts
    224
    Plugin Contributions
    0

    Default Upgrading to 1.3.6 with Fantastico

    I just finished using Fantastico to upgrade to 1.3.6. I know that it says not to use it if you have mods to the design and all. Well, I have a different skin and some extra modules installed, but no products. So I really didn't care if something got messed up, I'd just have to reinstall and reconfigure. Anyhow, I upgraded, and everything seems to be exactly the same! I mean, nothing got screwed. I haven't thoroughly tested it yet and maybe I'll still come across some errors, but it was really quick and painless.

  2. #2
    Join Date
    Sep 2003
    Location
    Ohio
    Posts
    67,857
    Plugin Contributions
    6

    Default Re: Upgrading to 1.3.6 with Fantastico

    You are always welcome to upgrade in any manner that you wish ... we strongly recommend that automated upgrades not be used as they do often go moofy ...

    Word of caution:
    Backup!

    Suggested safeties:
    Backup!

    And last but not least:
    Backup!

    Good luck with your shop ...
    Linda McGrath
    If you have to think ... you haven't been zenned ...

    Did YOU buy the Zen Cart Team a cup of coffee and a donut today? Just click here to support the Zen Cart Team!!

    Are you using the latest? Perhaps you've a problem that's fixed in the latest version: [Upgrade today: v1.5.3]
    Officially PayPal-Certified! Just click here

    Try our Zen Cart Recommended Services - Hosting, Payment and more ...

  3. #3
    Join Date
    Oct 2006
    Posts
    224
    Plugin Contributions
    0

    Default Re: Upgrading to 1.3.6 with Fantastico

    Very true. Much better to be safe than sorry. I just wanted to share that info incase it would help someone.

  4. #4
    Join Date
    Nov 2005
    Posts
    152
    Plugin Contributions
    0

    Default Re: Upgrading to 1.3.6 with Fantastico

    I upgraded thru fantastico. I should have read the instruction I guess.

  5. #5
    Join Date
    Nov 2005
    Posts
    152
    Plugin Contributions
    0

    Default Re: Upgrading to 1.3.6 with Fantastico

    I wonder if 2 ways can be tested for those who did as wrong as i did:

    1. zc_install folder be uploaded again. then mysite.com/zc_install can be used. I tested it on a test site upgraded from 1.3.0.1 to 1.3.6 and seems to work.

    2. everybody has zc_install folder which is either deleted or renamed. Those who have still renamed folders seem be usable too.

    mysite.com/zc_install_renamedwhatever was called by browser and it worked like normal zc_install folder asking if databse to be upgraded or to install etc. But it started like this:
    "Welcome to the setup program for Zen Cart™ v1.3.0.1 release. Please confirm your acceptance of the license terms."

    it then said: admin/includes/configure.php does not exist more info... Of course everybody renamed admin folder by security requirement, so config file was not found. Either by creating new config file or changing 'renamed admin' folder back to 'admin' folder temporarily so that config files can be found maybe one can get around this little part. I just wonder if in database upgrade section whether it will ask to upgrade database all the way to 1.3.6? I must tell fantastico upgrade created admin folder anew since my original admin folder was renamed.

    If all this goes till final result it is going to save a lot of time for me. and for those who already blundered by upgrading through fantastico like me.

    I just wonder if any body has gone through this path or what the gurus say on this issue?
    Last edited by zenartman; 14 Dec 2006 at 06:12 PM.

  6. #6
    Join Date
    Jan 2004
    Posts
    60,588
    Blog Entries
    4
    Plugin Contributions
    145

    Default Re: Upgrading to 1.3.6 with Fantastico

    1. Do not upgrade via fantastico.

    2. Upload the LATEST version of zc_install to your server in order to use it to upgrade your site.

    3. Follow the upgrade instructions to do the upgrade -- for both your PHP files and your database.

    4. Delete the zc_install when done.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.



  7. #7
    Join Date
    Nov 2005
    Posts
    152
    Plugin Contributions
    0

    Default Re: Upgrading to 1.3.6 with Fantastico

    Thank you Dr Byte. I have already made the blunder by upgrading by fantastico.

    Just quickly tested my idea: using renamed zc_install I was able to upgrade my test databse only to the level when the renamed zc_install was installed, i.e. 1.3.0.2. But I need to upgrade to 1.3.6 since through fantastico i upgraded the test site to 1.3.6. After working this way, "Your database appears to need patching to a higher level. See Admin->Tools->Server Information to review patch levels" is still there.

    So uploaded zc_install from 1.3.6. It seems to work like a charm. Database is upgraded to 1.3.6. Have I cheated myself just to be capsized later by next updates or mods or found a somewhat manageable way to solve a problem?

    Is it wrong way to do stuff? Any idea?
    Last edited by zenartman; 14 Dec 2006 at 06:43 PM.

  8. #8
    Join Date
    Oct 2006
    Posts
    224
    Plugin Contributions
    0

    Default Re: Upgrading to 1.3.6 with Fantastico

    I don't understand what your problem is...I don't have a zc_install folder after upgrading from fantastico. The way I did it is I upgraded the Database, it said dbase v. 1.3.6 in the admin but still said my Zen cart version was out of date, then I upgraded via fantastico and now it says ZenCart v. 1.3.6 and dbase the same. I have no problems.

 

 

Similar Threads

  1. Problem upgrading from 1.3.0.2 to 1.3.6
    By Big Kahuna in forum Installing on a Linux/Unix Server
    Replies: 12
    Last Post: 6 Dec 2006, 09:45 PM
  2. Warning when upgrading to 1.3.5 using Fantastico
    By philmck in forum Upgrading from 1.3.x to 1.3.9
    Replies: 20
    Last Post: 18 Nov 2006, 07:56 PM
  3. upgrading 1.2.7d to 1.3.5 to 1.3.6 with Image Handler
    By Justwade in forum Upgrading from 1.3.x to 1.3.9
    Replies: 6
    Last Post: 8 Nov 2006, 07:07 AM
  4. Confused new zenner needs help upgrading from 1.3.5 to 1.3.6
    By MicrophonePro in forum Upgrading from 1.3.x to 1.3.9
    Replies: 8
    Last Post: 3 Nov 2006, 06:41 AM
  5. upgrading from 1.2.4 to current version via fantastico
    By Marty McFly in forum Upgrading from 1.2 to 1.3.x
    Replies: 4
    Last Post: 9 Sep 2006, 03:42 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •